
本项目基于RuoYi进行搭建，在若依基础上进行功能构建、数据连接。部署文档请参考RuoYi：http://www.ruoyi.vip,


## 一、项目概述
此项目为教学管理系统项目，适合与大中专院校，职业培训机构等进行教学管理，部分功能还未完善，后期将会逐步添加新的功能！
## 二。平台简介
   基于hplus和inspinia两套后台系统模板开发,
   基于SpringBoot的权限管理系统 易读易懂、界面简洁美观。 核心技术采用Spring、MyBatis、Shiro没有任何其它重度依赖。直接运行即可用。


## 三。项目介绍
所有使用到的框架或者组件都是基于开源项目，代码保证100%开源。

系统功能通用，无论是个人还是企业都可以利用该系统快速搭建一个属于自己的在线教育平台。

如需技术服务支持，快速上线。可以直接联系作者私聊

后期会对应开源教学相关的，财务收费系统，生源咨询服务系统，资产管理系统，助力教学行业快速信息话建设

官方微信wang2834557（加群免费获取sql脚本）

## 四。在线演示
地址: https://mp.zymcloud.com/hp-jx

账号:admin

密码:whhp2019

演示环境没有删除、修改权限权限。

## 五、项目结构
hp-jx     
├── hp-common            // 工具类

│       └── annotation                    // 自定义注解

│       └── config                        // 全局配置

│       └── constant                      // 通用常量

│       └── core                          // 核心控制

│       └── enums                         // 通用枚举

│       └── exception                     // 通用异常

│       └── json                          // JSON数据处理

│       └── utils                         // 通用类处理

│       └── xss                           // XSS过滤处理

├── hp-framework         // 框架核心
│       └── aspectj                       // 注解实现

│       └── config                        // 系统配置

│       └── datasource                    // 数据权限

│       └── manager                       // 异步处理

│       └── shiro                         // 权限控制

│       └── util                          // 通用工具

│       └── web                           // 前端控制
├── dhp-teach 				// 业务代码

│       └── domain                       // 实体类

│       └── mapper                        // mapper

│       └── service                   // 服务接口层

│       		└── service                   // 服务实现层

│       └── manager                       // 异步处理

├── hp--admin       // 后台服务接口Api

│       └── web                      // 启动

│       		└── config                         // 配置

│       		└── controller                     // 控制层

│       		└── core.config                    // swagger配置

│       		└── encoder   
                   
│       		└── quartz                         // 定时任务

│       		└── socket                         // websocket

├── hp--generator   // 代码生成

├── hp--quartz      // 定时任务

├── hp--system      // 系统代码

├── hp--knowledge      // 知识库

├── hp--activiti      // 工作流

├── hp--quartz      // 定时任务


## 六。运行效果（view）
1.在浏览器输入 http://localhost/ 如下图

    用户名为 admin 密码为 whhp2019 

## 七。加入我们（join）
加入校园教学系统，直接添加本人微信

## 八.内置功能
1.  主页：项目说明，学生信息导入模板说明，视频操作手册说明
2.  校区管理：专业设置，考核设置，月度考核标准等模块
3.  班级管理：班级列表，班级考勤，班级考试，班级作业，班级项目，就业信息等模块
4.  学生管理：学生档案，档案收集
5.  满意度管理：满意度学生统计
6.  数据汇总：班级数据汇总，专业数据汇总，老师数据汇总
7.  知识管理：文件管理
8.  总部稽查：学生项目稽查，学生考试稽查
9.  工作流程：我的任务，流程管理
11.  用户管理：用户是系统操作者，该功能主要完成系统用户配置。
12.  部门管理：配置系统组织机构（公司、部门、小组），树结构展现支持数据权限。
13.  岗位管理：配置系统用户所属担任职务。
14.  菜单管理：配置系统菜单，操作权限，按钮权限标识等。
15.  角色管理：角色菜单权限分配、设置角色按机构进行数据范围权限划分。
16.  字典管理：对系统中经常使用的一些较为固定的数据进行维护。
17.  参数管理：对系统动态配置常用参数。
18.  通知公告：系统通知公告信息发布维护。
19.  操作日志：系统正常操作日志记录和查询；系统异常信息日志记录和查询。
20. 登录日志：系统登录日志记录查询包含登录异常。
21. 在线用户：当前系统中活跃用户状态监控。
22. 定时任务：在线（添加、修改、删除)任务调度包含执行结果日志。
23. 代码生成：前后端代码的生成（java、html、xml、sql)支持CRUD下载 。
24. 系统接口：根据业务代码自动生成相关的api接口文档。
25. 服务监控：监视当前系统CPU、内存、磁盘、堆栈等相关信息。
26. 在线构建器：拖动表单元素生成相应的HTML代码。
27. 连接池监视：监视当前系统数据库连接池状态，可进行分析SQL找出系统性能瓶颈。

## 九。项目截图

![image](sql/QQ截图20210303171615.png)
![image](sql/QQ截图20210303164323.png)
![image](sql/QQ截图20210303164347.png)
![image](sql/QQ截图20210303164403.png)
![image](sql/QQ截图20210303164707.png)
![image](sql/QQ截图20210303164717.png)
![image](sql/QQ截图20210303164731.png)
![image](sql/QQ截图20210303164901.png)
![image](sql/QQ截图20210303164953.png)
![image](sql/QQ截图20210303164901.png)
![image](sql/QQ截图20210303165102.png)
![image](sql/QQ截图20210303165200.png)
![image](sql/QQ截图20210303164901.png)
![image](sql/QQ截图20210303165321.png)
![image](sql/QQ截图20210303165333.png)
![image](sql/QQ截图20210303165410.png)
![image](sql/QQ截图20210303165431.png)
![image](sql/QQ截图20210303165444.png)
![image](sql/QQ截图20210303165504.png)
![image](sql/QQ截图20210303165516.png)

## 十、性能测试
提供了时序数据库的插入性能测试：单标签多数据和多标签多数据。



##十一、说明
本项目引用若依，在若依基础上进行功能构建、数据连接。 RuoYi：http://www.ruoyi.vip

基于SpringBoot的权限管理系统 易读易懂、界面简洁美观。 核心技术采用Spring、MyBatis、Shiro没有任何其它重度依赖。直接运行即可用。

## 十二。项目部署参考
  我的csdn博客 ,项目部署可以参考 
  
  [超详细Oracle VM VirtualBox虚拟机安装及静态IP设置](https://blog.csdn.net/wang2834557/article/details/103872427)
  
  [一键式docker服务安装](https://blog.csdn.net/wang2834557/article/details/103740812?spm=1001.2014.3001.5501)
  
  [使用Intellij idea Alibaba Cloud Toolkit插件快速部署spring cloud项目（后端篇）](https://blog.csdn.net/wang2834557/article/details/103892353?spm=1001.2014.3001.5502)
  
  [docker安装常用软件，没有比我这里更全了！](https://blog.csdn.net/wang2834557/article/details/103857396?spm=1001.2014.3001.5501)
  


## 统计学生考勤信息
SELECT class_id,teacher_id,attendance_datetime,classroom,lesson,sum(attendancenum) as attendancenum ,sum(studentnum)  as studentnum  from  
(
SELECT class_id,teacher_id,attendance_datetime,classroom,lesson,count(0) as studentnum,0 as attendancenum
from teach_attendance ta
join teach_student_attendance tsa on
ta.attendance_id = tsa.attendance_id 
-- WHERE DATEDIFF(ta.attendance_datetime,NOW())=-1
GROUP BY  ta.class_id,ta.lesson,ta.teacher_id
UNION  
select class_id,teacher_id,attendance_datetime,classroom,lesson,0 as studentnum,count(attendance) as attendancenum  from teach_attendance ta
join teach_student_attendance tsa on
ta.attendance_id = tsa.attendance_id 
where tsa.attendance = '1'
-- and DATEDIFF(ta.attendance_datetime,NOW())=-1
GROUP BY  ta.class_id,ta.lesson,ta.teacher_id
) a 
GROUP BY  a.class_id,a.teacher_id,a.attendance_datetime,a.classroom,a.lesson




